/**
 * Plugin to enable, disable, and ignore messages.
 *
 * @type {import('unified').Plugin<[Options?]|void[], Root>}
 */
export default function remarkHighlightjs(
  options?: void | Options | undefined
):
  | void
  | import('unified').Transformer<import('mdast').Root, import('mdast').Root>
export type Root = import('mdast').Root
/**
 * Configuration.
 */
export type Options = {
  /**
   * If this option is defined, this plugin will only highlight languages that
   * *are* in this list.
   */
  include?: string[] | undefined
  /**
   * If this option is defined, this plugin will only highlight languages that
   * *are not* in this list.
   */
  exclude?: string[] | undefined
  /**
   * If this option is defined, this plugin will use this prefix for classes
   * instead of `hljs-`.
   */
  prefix?: string | undefined
}
